export interface ChannelVO {
  /**
   * 渠道ID
   */
  id: string | number;

  /**
   * 产品ID
   */
  productId: string | number;

  /**
   * 代理商ID
   */
  proxyId: string | number;

  /**
   * 媒体账号ID
   */
  accountId: string | number;

  /**
   * 产品名
   */
  productName: string;

  /**
   * 媒体类型
   */
  platType: string;

  /**
   * 投放人员名称
   */
  userName: string;

  /**
   * 渠道名称
   */
  name: string;

  /**
   * 公司名
   */
  company: string;

  /**
   * 运营方式
   */
  operatingMode: string;

  /**
   * 投放方式
   */
  deliveryMode: string;

  /**
   * 激活上报规则
   */
  activeRules: string;

  /**
   * 关键行为上报规则
   */
  actionRules: string;

  /**
   * 是否上报
   */
  isReport: string;

  /**
   * 状态（0正常 1停用）
   */
  status: string;
}

export interface ChannelForm extends BaseEntity {
  /**
   * 渠道ID
   */
  id?: string | number;

  /**
   * 产品ID
   */
  productId?: string | number;

  /**
   * 代理商ID
   */
  proxyId?: string | number;

  /**
   * 媒体账号ID
   */
  accountId?: string | number;

  /**
   * 产品名
   */
  productName?: string;

  /**
   * 媒体类型
   */
  platType?: string;

  /**
   * 投放人员名称
   */
  userName?: string;

  /**
   * 渠道名称
   */
  name?: string;

  /**
   * 公司名
   */
  company?: string;

  /**
   * 运营方式
   */
  operatingMode?: string;

  /**
   * 投放方式
   */
  deliveryMode?: string;

  /**
   * 激活上报规则
   */
  activeRules?: string;

  /**
   * 关键行为上报规则
   */
  actionRules?: string;

  /**
   * 是否上报
   */
  isReport?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;
}

export interface ChannelQuery extends PageQuery {
  /**
   * 渠道ID
   */
  id?: string | number;

  /**
   * 产品ID
   */
  productId?: string | number;

  /**
   * 代理商ID
   */
  proxyId?: string | number;

  /**
   * 媒体账号ID
   */
  accountId?: string | number;

  /**
   * 产品名
   */
  productName?: string;

  /**
   * 媒体类型
   */
  platType?: string;

  /**
   * 投放人员名称
   */
  userName?: string;

  /**
   * 渠道名称
   */
  name?: string;

  /**
   * 公司名
   */
  company?: string;

  /**
   * 运营方式
   */
  operatingMode?: string;

  /**
   * 投放方式
   */
  deliveryMode?: string;

  /**
   * 激活上报规则
   */
  activeRules?: string;

  /**
   * 关键行为上报规则
   */
  actionRules?: string;

  /**
   * 是否上报
   */
  isReport?: string;

  /**
   * 状态（0正常 1停用）
   */
  status?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
